// OutputController_HSL.h: interface for the COutputController_HSL class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "OutputControllerBase.h"

class COutputController_HSL : public COutputControllerBase
{
public:
    COutputController_HSL();
    virtual ~COutputController_HSL();

    // method to initialise the output controller card
    int InitCard(int nHardwareIniTypeID, int nHardwareIniTypeCardNo, int* pPhysicalCardID) override;

    // method to close the output controller card
    int CloseCard(int nPhysicalCardID) override;
};
